rlinetd (0.9.1-2) unstable; urgency=medium

  * debian/update-inetd.sh: Do not call update-inetd.real if /etc/inetd.conf
    does not exist (see #905964).
  * Add Fix-gcc8-warnings.patch to fix two simple warnings produced by gcc-8.
  * Bump debhelper's compat version to 11.
  * debian/control:
    + set Rules-Requires-Root to `no';
    + set Priority field to `optional';
    + update Vcs-* fields for salsa migration;
    + Standards-Version: 4.2.0.

 -- Robert Luberda <robert@debian.org>  Sun, 19 Aug 2018 11:19:19 +0200

rlinetd (0.9.1-1) unstable; urgency=medium

  * New upstream version:
    + updated German man page translation (closes: #794362).
  * Drop no longer needed debian/patches.
  * Add Brazilian Portuguese debconf templates translation (closes: #811533).
  * debian/rules: enable all hardening options.
  * Switch to debhelper v10.
  * debian/copyright: switch to the DEP5 format.
  * debian/watch: update to check gpg signature of upstream tarball.

 -- Robert Luberda <robert@debian.org>  Sun, 16 Oct 2016 19:26:33 +0200

rlinetd (0.9-3) unstable; urgency=medium

  * Update German man page translation (closes: #771296).
  * Standards-Version: 3.9.6 (no changes).

 -- Robert Luberda <robert@debian.org>  Thu, 04 Dec 2014 01:01:34 +0100

rlinetd (0.9-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update German man page translation (closes: #733664).

 -- Helge Kreutzmann <debian@helgefjell.de>  Mon, 29 Sep 2014 16:03:29 +0200

rlinetd (0.9-2) unstable; urgency=low

  * Add Italian translation of debconf messages (closes: #714009).

 -- Robert Luberda <robert@debian.org>  Thu, 28 Nov 2013 09:19:24 +0100

rlinetd (0.9-1) unstable; urgency=low

  * New upstream version.
  * Remove both patches, as they are integrated into upstream version.
  * Pass --debconf-ok to ucf, but first check if debconf has not been stopped
    with a really ugly hack which involvs using timeout command to check if
    debconf can return its version within 15 seconds (closes: #665443,
    LP: #877453, #1222009).
  * Use --disable-silent-rules to unhide compiler command line.
  * Add support for cross-compiling.
  * Standards-Version: 3.9.5 (no changes).

 -- Robert Luberda <robert@debian.org>  Sun, 17 Nov 2013 18:27:45 +0100

rlinetd (0.8.2-2) unstable; urgency=low

  * Add 1-Fix-fd_set-overflow.patch to fix fd_set buffer overflows caught
    by new glibc 1.15 hardening checks (LP: #1057645)
    The fd_set buffers used by FD_ISSET, FD_SET, FD_CLR macros used to be
    overwritten usually by 1 byte or more in rare cases on systems where
    open file descriptors limit is greater than FD_SETSIZE.
  * Add 2-Add-udp4-to-inetd2rlinetd.patch to support protocols like udp4,
    tcp6 in inetd2rlinetd (LP: #1057663).
  * postinst, postrm: Fix installing/removing diversions (closes: #691778).
    The scripts fail to parse output of `dpkg-divert --list', when it is
    localized, so enforce non-localized output by setting LC_ALL=C.

 -- Robert Luberda <robert@debian.org>  Mon, 10 Dec 2012 22:47:43 +0100

rlinetd (0.8.2-1) unstable; urgency=low

  * New upstream version.
  * Standards-Version: 0.8.3 (no changes needed).

 -- Robert Luberda <robert@debian.org>  Sun, 26 Feb 2012 12:56:20 +0100

rlinetd (0.8.1-1) unstable; urgency=low

  * New upstream version:
    + update German man pages translations (closes: #636237).
  * Switch to debhelper v9.
  * debian/postinst:
    + pass --add-from-comment during initial inetd.conf conversion.
  * debian/control:
    + add VCS fields;
    + add dependency on psmisc for killall command used in update-inetd.

 -- Robert Luberda <robert@debian.org>  Sun, 05 Feb 2012 18:59:51 +0100

rlinetd (0.8-1) unstable; urgency=low

  * New upstream version:
    + German man pages translations added (closes: #630216);
    + typos in man pages fixed (closes: #630218).
  * update-inetd.sh: save original inetd(8) line in generated files and
    add support for regex as an argument for --remove (closes: #600796).
  * Add Danish translation of debconf templates (closes: #627717).
  * Switch to 3.0 (quilt) format.
  * debian/rules: Use tiny debhelper v8 format.
  * debian/control:
    + use [linux-any] instead of [!kfreebsd-i386 ...] (closes: #634776);
    + add build-dependency on autotools-dev;
    + drop conflict with ancient version of netbase (lintian);
    + Standards-Version: 3.9.2 (no changes).
    + reformat dependency fields with wrap-and-sort command.
  * Update debian/watch.

 -- Robert Luberda <robert@debian.org>  Mon, 25 Jul 2011 22:52:22 +0200

rlinetd (0.7-1) unstable; urgency=low

  * New upstream version.
  * Recommend rsyslog instead of sysklogd (closes: #526922).
  * update-inetd:
    + add support for enabling, disabling and removing entries;
    + use ucf for managing generated files;
    + ignore ucf files in rlinetd.conf;
    + make appropriate changes in  postinst and postrm scripts.
  * Set debhelper compat level to 7
  * Standards-Version: 3.8.4 (no changes).

 -- Robert Luberda <robert@debian.org>  Sat, 20 Mar 2010 18:03:45 +0100

rlinetd (0.6.2-3) unstable; urgency=low

  * Fix FTBFS on GNU/kFreeBSD (closes: #511394).

 -- Robert Luberda <robert@debian.org>  Sun, 11 Jan 2009 09:40:20 +0100

rlinetd (0.6.2-2) unstable; urgency=low

  * Build with libcap2 (closes: #492650).
  * Standards-Version: 3.8.0 (no changes).
  * Fix typo in debian/rules.

 -- Robert Luberda <robert@debian.org>  Sat, 02 Aug 2008 08:42:49 +0200

rlinetd (0.6.2-1) unstable; urgency=medium

  * New upstream version.
  * Build with debhelper v6.
  * Move homepage to its own field (lintian).
  * Standards-Version: 3.7.3 (no changes).
  * Add simple wrapper around gcc that removes -soname option while linking
    libparse.so in order to make libparse.so a private library to avoid
    dpkg warnings.
  * Pass --without-nsl to configure.
  * Don't ignore make clean error (lintian).

 -- Robert Luberda <robert@debian.org>  Sun, 13 Apr 2008 22:52:10 +0200

rlinetd (0.6.1-3) unstable; urgency=low

  * update-inetd.sh: Don't fail if $real_upd is not executable
    (closes: #422011).

 -- Robert Luberda <robert@debian.org>  Thu, 03 May 2007 10:53:57 +0200

rlinetd (0.6.1-2) unstable; urgency=low

  * Upload to unstable.
  * debian/{postinst,postrm}: Stop diverting inetd.conf.
  * Standards-Version: 3.7.2
  * Update debian/watch and debian/lintian.
  * debian/templates: remove the question from extended description (lintian),
    and fix few typos. Unfuzzy translations.

 -- Robert Luberda <robert@debian.org>  Sun, 15 Apr 2007 15:28:22 +0200

rlinetd (0.6.1-1) experimental; urgency=low

  * New upstream version.

 -- Robert Luberda <robert@debian.org>  Wed, 21 Mar 2007 23:56:28 +0100

rlinetd (0.6-3) unstable; urgency=high

  * grammar.y: fix stack corruption error, that prevented rlinetd from
    stopping properly when RPC are enabled. The bug occurred in the
    rlp_cleanup() function, was introduced in the previous release and
    is caused by my misunderstanding of numlist_copy() function, which
    joins two lists together rather than making a simple copy.
    Simple NULL-ification of the destination list before the above function
    is called fixes the problem.
  * grammar.y: fix similar bug, that happens when the rpc token is used
    in the "default" configuration section (however hardly likely anybody
    will ever configure rlinetd in that way).

 -- Robert Luberda <robert@debian.org>  Wed, 21 Mar 2007 23:21:31 +0100

rlinetd (0.6-2) unstable; urgency=low

  * grammar.y: fix segmentation fault on RPC services for which getaddrinfo()
    returns more then one addrinfo result.
  * Initial Portuguese debconf templates translation (closes: #383839).
  * debian/control:
    + exclude GNU/kFreeBSD architectures from libcap-dev build depends
      (closes: #375033).
    + provide inet-superserver, conflict with inet-superserver and netkit-inetd
    + add dependency on netbase for files like /etc/services or /etc/rpc
  * debian/init.d: Fix typo in the Short-Description tag name (lintian).

 -- Robert Luberda <robert@debian.org>  Tue,  2 Jan 2007 23:32:14 +0100

rlinetd (0.6-1) unstable; urgency=low

  * New release:
    + split the package into the upstream and Debian parts
    + move upstream maintenance to Alioth
    + fix RPC support
    + implement `wait' keyword.
  * Fix typo in Build-Depends - should be libcap-dev, not libpcap-dev.
  * Update to debhelper v5.
  * Include link to upstream site in the package description.
  * Add watch file.

 -- Robert Luberda <robert@debian.org>  Sun, 19 Mar 2006 18:13:10 +0100

rlinetd (0.5.20) unstable; urgency=low

  * Initial Swedish debconf templates translation (closes: #331486).
  * Made init.d script LSB-compliant.

 -- Robert Luberda <robert@debian.org>  Sun, 23 Oct 2005 19:20:03 +0200

rlinetd (0.5.19) unstable; urgency=low

  * New Vietnamese translation of debconf templates (closes: #317783).
  * Add lintian override file for `maintainer-script-needs-depends-on-netbase'
    and `package-name-doesnt-match-sonames' tags.
  * Update autotools stuff.
  * Standards-Version: 3.6.2 (no changes).

 -- Robert Luberda <robert@debian.org>  Sat, 20 Aug 2005 13:35:08 +0200

rlinetd (0.5.18) unstable; urgency=low

  * Fix problems with inetd2rlinetd trying to get user input from STDIN, which
    apparentally is the converted file, and not terminal.
  * Use ${misc:Depends}, ${perl:Depends} in debian/control.

 -- Robert Luberda <robert@debian.org>  Thu, 24 Feb 2005 21:34:05 +0100

rlinetd (0.5.17) unstable; urgency=low

  * Add Czech translation of rlinetd debconf messages (closes: #287299).
    Thanks to Miroslav Kure <kurem@upcase.inf.upol.cz>.
  * Fix typos in debian/update-inetd.sh.
  * Expand '\t' to spaces in inetd2rlinetd script.

 -- Robert Luberda <robert@debian.org>  Tue,  4 Jan 2005 18:53:54 +0100

rlinetd (0.5.16) unstable; urgency=low

  * Fix FTBFS with gcc-3.4 (closes: #259845).
  * Add Japanese translation of debconf templates (closes: #262746).
    Thanks to Hideki Yamane <henrich@samba.gr.jp>.

 -- Robert Luberda <robert@debian.org>  Thu,  5 Aug 2004 08:45:38 +0200

rlinetd (0.5.15) unstable; urgency=low

  * When connection is denied by tcp wrappers, log the service name
    (closes: #92042).
  * Add Catalan translation of debconf templates (closes: #250134).
    Thanks to Aleix Badia i Bosch <a.badia@callusdigital.org>.

 -- Robert Luberda <robert@debian.org>  Mon, 31 May 2004 22:32:10 +0200

rlinetd (0.5.14) unstable; urgency=low

  * Added Dutch translation of debconf templates (closes: #209086)
    Thanks to Tim Vandermeersch <Tim.Vandermeersch@pandora.be>.
  * Updated Spanish translation of debconf templates (closes: #211837)
    Thanks to Carlos Valdivia Yagüe <valyag@dat.etsit.upm.es>.
  * Standards-Version: 3.6.1 (no changes).

 -- Robert Luberda <robert@debian.org>  Mon, 13 Oct 2003 20:38:55 +0200

rlinetd (0.5.13) unstable; urgency=low

  * Add missing po/templates.pot file (closes: #203675).
  * Add French translation of debconf templates (closes: #203678)
    Thanks to Michel Grentzinger <mic.grentz@online.fr> for the above
    changes.
  * Recode this changelog to UTF-8.
  * Standards-Version: 3.6.0.

 -- Robert Luberda <robert@debian.org>  Sun,  3 Aug 2003 23:43:32 +0200

rlinetd (0.5.12) unstable; urgency=low

  * Fix problem with building with current flex (closes: #191207).
  * Fix typos in man pages.
  * Convert debconf translations to po-debconf
  * Standards-Version: 3.5.9 (no changes).

 -- Robert Luberda <robert@debian.org>  Tue,  6 May 2003 20:58:17 +0200

rlinetd (0.5.11) unstable; urgency=medium

  * Internal services (chargen, loopback, discard) close sockets when the
    other side ends connection.
  * Call libtool -avoid-version, don't install libtool *.la file.
  * Remove lintian override file.

  * debian/control: lsfcc package was removed from sid, do not build-depend
    or suggest it.
  * debian/rules: configure with --without-lsf.
  * debian/control: depend on debconf >> 1.2.9 (lintian).
  * Standards-Version: 3.5.8 (no changes).

 -- Robert Luberda <robert@debian.org>  Sat,  4 Jan 2003 11:08:33 +0100

rlinetd (0.5.10) unstable; urgency=low

  * Call configure with --build and --host as described in
    /usr/share/doc/autotools-dev/README.Debian.gz.
  * Build-Depends on libpcap-dev, not on libpcap0!
  * Update automake files.
  * Build with the newest debhelper (v4).
  * Support DEB_BUILD_OPTIONS=noopts, drop support for DEB_BUILD_OPTIONS=debug.
  * Standards-Version: 3.5.7

 -- Robert Luberda <robert@debian.org>  Thu, 24 Oct 2002 08:02:08 +0200

rlinetd (0.5.9) unstable; urgency=low

  * Added Spanish translation of debconf template (closes: #136458).
    Thanks to Carlos Valdivia Yagüe <valyag@hotpop.com>.
  * Added Russian translation of debconf template (closes: #137681).
    Thanks to Ilgiz Kalmetev <ilgiz@bashtelecom.ru>.

 -- Robert Luberda <robert@debian.org>  Thu, 14 Mar 2002 20:12:29 +0100

rlinetd (0.5.8) unstable; urgency=medium

  * Internal services should works again now (closes: #126225).
  * Corrected spelling in package description (closes: #125318). Thanks to
    Matt Ziemmerman.
  * Standards: 3.5.6 (no changes).

 -- Robert Luberda <robert@debian.org>  Tue, 29 Jan 2002 21:17:11 +0100

rlinetd (0.5.7) unstable; urgency=low

  * Drop build dependency on automake, use AM_MAINTAINER_MODE instead
   (closes: #120220).

 -- Robert Luberda <robert@debian.org>  Sat,  1 Dec 2001 17:08:59 +0100

rlinetd (0.5.6) unstable; urgency=low

  * Added build time dependency on automake (closes: #116792).
  * Updated configure.ac and automake files in aux directory.

 -- Robert Luberda <robert@debian.org>  Tue,  6 Nov 2001 08:11:24 +0100

rlinetd (0.5.5) unstable; urgency=low

  * Added German translation of templates. Thanks to Sebastian Feltel
    <sebastian@feltel.de> (closes: #109927).
  * Fixed bad diversion of /u/s/m/man8/update-inetd.8.gz (closes: #114940).

 -- Robert Luberda <robert@debian.org>  Sun, 14 Oct 2001 20:19:32 +0200

rlinetd (0.5.4) unstable; urgency=low

  * In `user' directive call setgid() before setuid() (closes: #105854).
  * Log file name and line number on parse warnings (closes: #91319).
  * Call exit() instead of abort() on fatal errors (closes: #102721).
  * Do not close no opened socket (fixes rlinetd part of #103299).
  * Rewrite inetd2rlinetd, now it outputs each service in separate file in
    /etc/rlinetd.d directory

  * Remove files from /etc/rlinetd.d directory when package is purged.
  * Update copyright file.
  * Include both (upstream & Debian) changelogs in the package.
  * /etc/rlinetd.conf: skip editor backup files in dircetory /etc/rlinetd.d.

  * Added a very simple update-inetd script, which can only add a service.
  * We diverts /etc/init.d/inetd file to make sure that inetd is not started.
  * If no service is defined in /etc/rlinetd*, ask user via debconf if we
    should import settings from /etc/inetd.conf.

  * rlinetd conflicts with xinetd and with old netbase package.
  * Added dependency on debconf and dpkg (both versioned).
  * We recommends sysklogd|system-log-daemon and suggests portmap.

 -- Robert Luberda <robert@debian.org>  Mon, 20 Aug 2001 00:07:13 +0200

rlinetd (0.5.3) unstable; urgency=low

  * Set package priority to extra as per an override file.
  * Some fixes in manpages.
  * Modified init.d script.

 -- Robert Luberda <robert@debian.org>  Fri,  6 Jul 2001 17:29:33 +0200

rlinetd (0.5.2) unstable; urgency=low

  * New maintainer (closes: #102648).

  * Applied patches from Polish(ed) Linux Distribution:
    + rlinetd-tcpwrappers.patch, fixes "unknown opcode 19" problem (closes: #91329)
    + rlinetd-execve.patch: do not reset environment of spawned daemons.
  * Update config.sub and config.guess files.
  * Moved inetd2rlinetd manpage to section 8.

  * Switched to the newset debhelper.
  * Bumped Standards-Version to 3.5.5 (closes: #91040 and all merged bugs):
    + FHS transition
    + Build dependencies
    + Support for DEB_BUILD_OPTIONS
  * Added lintian override file for libparse.so.

 -- Robert Luberda <robert@debian.org>  Wed,  4 Jul 2001 23:51:00 +0200

rlinetd (0.5.1) unstable; urgency=low

  * interim build fix release
  * closes: #43608, #42445

 -- Mikolaj J. Habryn <dichro-debian@rcpt.to>  Fri,  3 Sep 1999 16:25:40 +0800

rlinetd (0.5) unstable; urgency=low

  * new release

 -- Mikolaj J. Habryn <dichro-debian@rcpt.to>  Wed, 25 Aug 1999 23:32:21 +0800

rlinetd (0.4) unstable; urgency=low

  * moved rlinetd.conf to /etc, called it a conffile
  * new release

 -- Mikolaj J. Habryn <dichro-debian@rcpt.to>  Fri, 23 Jul 1999 14:50:13 +0800

rlinetd (0.3-1) unstable; urgency=low

  * de-lintianed
  * New release

 -- Mikolaj J. Habryn <dichro-debian@rcpt.to>  Wed, 24 Mar 1999 15:11:14 +0800

rlinetd (0.2-1) unstable; urgency=low

  * New release

 -- Mikolaj J. Habryn <dichro-debian@rcpt.to>  Thu, 11 Mar 1999 12:19:53 +0800

rlinetd (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Mikolaj J. Habryn <dichro-debian@rcpt.to>  Thu,  4 Mar 1999 16:03:43 +0800
